package com.cityguide;

import android.app.Activity;

import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.ImageButton;




public class S_maltasee extends Activity {  
	
	@Override
	public void onConfigurationChanged(Configuration newConfig) {
	super.onConfigurationChanged(newConfig);
	}
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.s_maltasee); 
    
    
    final ImageButton index = (ImageButton) findViewById(R.id.logodown);
    index.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openIndexActivity();
        }
    });
    
    final ImageButton train = (ImageButton) findViewById(R.id.train);
    train.setOnClickListener(new ImageButton.OnClickListener() {
         public void onClick(View v) {
         	openTram_mapActivity();
         }
     });
    
    final ImageButton bus = (ImageButton) findViewById(R.id.bus);
    bus.setOnClickListener(new ImageButton.OnClickListener() {
         public void onClick(View v) {
         	openBus_mapActivity();
         }
     });
    
    final Button fountain = (Button) findViewById(R.id.fountain);
    fountain.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openS_maltasee_fountainActivity();
         }
     });
    
    final Button mound = (Button) findViewById(R.id.mound);
    mound.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openS_maltasee_moundActivity();
         }
     });
  
    final Button sspoznan = (Button) findViewById(R.id.sspoznan);
    sspoznan.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openS_maltasee_ssActivity();
         }
     });
    
    final Button jerusalem = (Button) findViewById(R.id.jerusalem);
    jerusalem.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openS_maltasee_jerusalemActivity();
         }
     });
    
    final Button gallery = (Button) findViewById(R.id.gallery);
    gallery.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openS_maltasee_galleryActivity();
         }
     });
    
	}
	
	private void openIndexActivity() {
    	startActivity(new Intent(this,Index.class));
    }
	
	 private void openTram_mapActivity() {
	    	startActivity(new Intent(this,Tram_map.class));
	    }
	    
	    private void openBus_mapActivity() {
	    	startActivity(new Intent(this,Bus_map.class));
	    }
	    
	    private void openS_maltasee_fountainActivity() {
	    	startActivity(new Intent(this,S_maltasee_fountain.class));
	    }
	    
	    private void openS_maltasee_moundActivity() {
	    	startActivity(new Intent(this,S_maltasee_mound.class));
	    }
	    
	    private void openS_maltasee_ssActivity() {
	    	startActivity(new Intent(this,S_maltasee_ss.class));
	    }
	    
	    private void openS_maltasee_jerusalemActivity() {
	    	startActivity(new Intent(this,S_maltasee_jerusalem.class));
	    }
	    
	    private void openS_maltasee_galleryActivity() {
	    	startActivity(new Intent(this,S_maltasee_gallery.class));
	    }
}